Description

Supportanfrage

bei unserer geplanten ADTF-Konfig wird es eine Namenskonvention für die Pins geben. Zur Erleichterung der Konfiguration möchten

wir alle Pins mit gleichem Namen gern automatisiert verbinden lassen.

In früheren Projekten wurde dies durch externe Tools, welche die system.xml angepasst haben, umgesetzt. Jedoch wäre es von der

Usability her schöner, wenn ich eine Ausführung dieser Automatisierung direkt im ADTF starten könnte.

Gibt es eine Möglichkeit, derartige Funktionen über das Kontextmenü einer Konfiguration (also Rechtsklick in einem leeren Bereich

der Konfig) zu realisieren?

Habt ihr ggf. andere Ideen für die Umsetzung bzw. seid ihr zufällig eh schon dran ein solches Feature in künftige ADTF Versionen zu

integrieren?

Lösung

Der CE bietet eine QML Schnittstelle, um zb eigene Editoren für Filter und Properties zu schreiben.

Darüber wollen wir auch einen Auto-connect mit Suchfunktione etc anbieten:

[ACORE-9948] - Provide a CE Plugin Module to automatic connect components

Ist allerdings derzeit nicht verplant...

Du kannst die gleiche Schnittstelle nutzen, das ganze ins adtf_config_tool auslagern und zb per shell/python/etc

automatisieren/scripten.

Eine Option wäre noch die Scripting Schnittstelle im CE für Automatsierungen, das könntest du bei bestimmten Ereignissen

antriggern, gilt aber leider immer nur auf deinen PC:

https://support.digitalwerk.net/adtf/v3/adtf_html/page_ce_scripting.html

History

#1 - 2021-02-10 12:13 - hidden

- Status changed from New to In Progress

- Topic set to ADTF::CE

#2 - 2021-02-16 20:20 - hidden

- Status changed from In Progress to Customer Feedback Required

Hallo Claudia,

der CE bietet eine QML Schnittstelle, um zb eigene Editoren für Filter und Properties zu schreiben.

Darüber wollen wir auch einen Auto-connect mit Suchfunktione etc anbieten:

[ACORE-9948] - Provide a CE Plugin Module to automatic connect components

Ist allerdings derzeit nicht verplant...

Du kannst die gleiche Schnittstelle nutzen, das ganze ins adtf_config_tool auslagern und zb per shell/python/etc automatisieren/scripten.
Eine Option wäre noch die Scripting Schnittstelle im CE für Automatsierungen, das könntest du bei bestimmten Ereignissen antriggern, gilt aber leider

immer nur auf deinen PC:

https://support.digitalwerk.net/adtf/v3/adtf_html/page_ce_scripting.html

#3 - 2021-02-16 20:20 - hidden

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACORE-9948

#4 - 2021-02-19 09:42 - hidden

Hallo Florian,

vielen Dank für die Hinweise.

Ich werde mir die verschiedenen Optionen ansehen und mit dem Kunden besprechen.

Das Ticket könnt ihr damit schließen.

Viele Grüße und ein schönes Wochenende

Claudia

#5 - 2021-02-22 08:34 - hidden

- Project changed from 11 to Public Support

- Subject changed from Automatische Pin-Verbindung to Automatization to connect pins

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to Solved Issue

#6 - 2022-01-17 08:17 - hidden

- Status changed from To Be Closed to Closed
